E-MailRelay

Public Member Functions | Public Attributes | List of all members
GSmtp::ProtocolMessage::ToInfo Struct Reference

Extra information passed to GSmtp::ProtocolMessage::addTo(). More...

`#include <gprotocolmessage.h>`

Collaboration diagram for GSmtp::ProtocolMessage::ToInfo:
[legend]

## Public Member Functions
| ToInfo (const VerifierStatus &)

## Public Attributes
VerifierStatus | status
AddressStyle | address_style

## Detailed Description

Extra information passed to GSmtp::ProtocolMessage::addTo().

Definition at line 84 of file gprotocolmessage.h.

## Constructor & Destructor Documentation

## ◆ ToInfo()

GSmtp::ProtocolMessage::ToInfo::ToInfo | ( | const VerifierStatus & | status_in | ) |
| explicit

Definition at line 33 of file gprotocolmessage.cpp.

## Member Data Documentation

## ◆ address_style

AddressStyle GSmtp::ProtocolMessage::ToInfo::address_style

Definition at line 88 of file gprotocolmessage.h.

## ◆ status

VerifierStatus GSmtp::ProtocolMessage::ToInfo::status

Definition at line 87 of file gprotocolmessage.h.

The documentation for this struct was generated from the following files:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gsmtp/gprotocolmessage.h
- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gsmtp/gprotocolmessage.cpp